Subject: Re: bug#54261: [PATCH]: Update GTK to 4.6.1.
From: Ludovic Courtès <[email-masked]>
To: Zhu Zihao <[email-masked]>
Cc: Maxime Devos <[email-masked]>, [email-masked], Liliana Marie Prikler <[email-masked]>
Date: Mon, 04 Apr 2022 22:12:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Zhu Zihao <[email-masked]> skribis:

[...]

>> Also, I find it surprising that ‘fcitx5-gtk4’ depends on ‘fcitx5-gtk’;
>> is it avoidable?
>
> Because fcitx5-gtk4 use the Glib based D-Bus client. I'd prefer to reuse
> existing one instead of build it again for fcitx5-gtk4.

OK.

>
> BTW, How to remove gtk+ and gtk+-2 in same inputs via modify-inputs?

The (delete "gtk+") clause removes all the inputs whose label is
“gtk+”—both GTK+ 3.x and 2.x in this case.

> Do we need repeat (delete "gtk+") clause in the modify-inputs?

No.

> If we can't handle it without trick, IMO this is a fail of label-less
> style input.

I must say I hadn’t thought about this situation, which is hopefully
quite rare (and questionable, even), but we can deal with it.

> From a9be73a1723810dbcec0c4caa3a9d6669494f6d9 Mon Sep 17 00:00:00 2001
> From: Zhu Zihao <[email-masked]>
> Date: Sat, 5 Mar 2022 21:36:25 +0800
> Subject: [PATCH 1/4] gnu: pango 1.50: Add version 1.50.4.
>
> * gnu/packages/gtk.scm(pango-next): New variable.

[...]

> From 823fb5ae1d0cff0247baf6c4847555648c710e55 Mon Sep 17 00:00:00 2001
> From: Zhu Zihao <[email-masked]>
> Date: Sat, 5 Mar 2022 22:40:46 +0800
> Subject: [PATCH 2/4] gnu: gtk: Update to 4.6.1.
>
> * gnu/local.mk (dist_patch_DATA): Remove gtk-introspection-test.patch.
> * gnu/packages/patches/gtk-introspection-test.patch: Remove.
> * gnu/packages/gtk.scm (gtk): Update to 4.6.1.
> [source]: Remove stale patch.
> [arguments]<phases>: Add 'patch-rst2man' phase, correct the binary name of
> rst2man to 'rst2man.py'
> [inputs]: Add libjpeg-turbo, libpng, libtiff.
> [native-inputs]: Add python-docutils.
> [propagated-inputs]: Use pango-next.
> * gnu/packages/fcitx5.scm (fcitx5-gtk)[arguments]: Disable GTK4 build.
> <configure-flags>: Add "-DENABLE_GTK_IM_MODULE=OFF".
> <phases>: In phase "patch-install-prefix", Remove GTK4 code.
> [inputs]: Remove package gtk.
> [outputs]: Remove output "gtk4".

[...]

> From b4318c10146a72d33dab4d6f9f49846a371a1745 Mon Sep 17 00:00:00 2001
> From: Zhu Zihao <[email-masked]>
> Date: Mon, 21 Mar 2022 09:16:38 +0800
> Subject: [PATCH 3/4] gnu: Add fcitx5-gtk4.
>
> * gnu/packages/fcitx5.scm (fcitx5-gtk4): New variable.

[...]

> From 81ae5b2620d56d24ad1f38bd96d34b22407eb994 Mon Sep 17 00:00:00 2001
> From: Zhu Zihao <[email-masked]>
> Date: Tue, 15 Mar 2022 22:40:27 +0800
> Subject: [PATCH 4/4] gnu: gtkmm: Update to 4.6.1.
>
> * gnu/packages/gtk.scm (gtkmm): Update to 4.6.1.
> [propagated-inputs]: Remove atkmm because it's no longer needed.
> * gnu/packages/gtk.scm (pangomm): Update to 2.50.0.
> [propagated-inputs]: Replace 'pango' with 'pango-next'.

Finally applied, thank you!

Ludo’.